- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/get#try-it)

Returns a specific guardian.

This method returns the following error codes:

- `PERMISSION_DENIED` if no user that matches the provided `studentId` is visible to the requesting user, if the requesting user is not permitted to view guardian information for the student identified by the `studentId`, if guardians are not enabled for the domain in question, or for other [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if a `studentId` is specified, but its format cannot be recognized (it is not an email address, nor a `studentId` from the API, nor the literal string `me`).
- `NOT_FOUND` if the requesting user is permitted to view guardians for the requested `studentId`, but no `Guardian` record exists for that student that matches the provided `guardianId`.

### HTTP request

`GET https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardians/{guardianId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `studentId` | `string` The student whose guardian is being requested. One of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user |
| `guardianId` | `string` The `id` field from a `Guardian`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians#Guardian`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.guardianlinks.me.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).